      PROGRAM TESTCOMMON
      COMMON A(2)
      INTEGER A
      
      A(1) = 3
      A(2) = 4
      CALL CHANGE()
      
      PRINT *, A(1)
      PRINT *, A(2)
      STOP
      END
      
      SUBROUTINE CHANGE()
      COMMON I, FIRST, SECOND
      INTEGER FIRST, SECOND
      INTEGER I
      
      FIRST = 5
      SECOND = 6
      
      RETURN
      END
      
      